# -------------------------------------------------------------------------------
# CORRECTION
# Objectif : afficher la position angulaire (en °) d'un axe de potentiomètre
# dans la console de l'IDE .
# Date : 20/6/2023
# Matériels : Raspberry Pi Pico, Shield Grove, potentiomètre 10k
# Langage : MicroPython
# IDE : Thonny
# Source : anglecorr.py
# Ressource : https://webge.fr/dokuwiki/doku.php?id=python:micropython:materiel:ssd1306
# -------------------------------------------------------------------------------
# Connecteur: ADC      : GPIO
#        A0 : ADC0     : 26
#        A1 : ADC0,ADC1: 26,27
#        A2 : ADC1,ADC2: 27,28
# IDE : Thonny
# -------------------------------------------------------------------------------
from machine import ADC, Pin
import time

# Le potentiomètre 10k est connecté à l'entrée analogique A0 du shield.
pot = ADC(Pin(26))

while (True):
    # Solution 1
    N = pot.read_u16()  # lecture de l'ADC
    print(
        f"Ve = {round(N*3.3/65536,1)}V => N = {N} => Angle = {round(N*300/65536,1)}°")

    ''' Solution 2
    N = pot.read_u16()  # lecture de l'ADC
    print(N)  # Affichage dans la console
    U = N*3.3/65536  # Calcul de la tension
    print("U=%.2f V" % U)
    angle = N*300/65536
    print("angle=%.1f °" % angle)
    '''
    time.sleep(1)
